hardware-customers-get-many¶
Source¶
Repository:
jef-systems/jef-hardware-backendSource Run ID:
25090515545Source SHA:
444376867c764658b4ed0286bc44ff0ac8c80995Module:
hardwareDocumentation Scope:
getLambda:
jef-hardware-get-2
Endpoint¶
API Name:
jef-hardwareAction Name:
getMethod:
GETScope Label:
GETResource Path:
/hardware-customers-get-manyComplete Endpoint:
https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-get-manyLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-2curl payload mode:
query_string
API Gateway Description¶
Function: jef-hardware-get-2
API Name: jef-hardware
Action: get
Method: GET
Resource Path: /hardware-customers-get-many
Table:
- table: jef-hardware-customers
- operation: get-many
Payload Schema:
- pk: customer_id
Payload Example:
- pk: 8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001
Response Schema:
- exists: boolean
- message: string
- items: [{"pk":"string","customer_id":"string","customer_name":"string","contact_number":"string","email":"string","address":"string","government_id_type":"string","government_id_number":"string","active":"boolean","updated_at":"string"}]
Request Payload¶
{
"pk": "customer_id"
}
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"pk\":\"string\",\"customer_id\":\"string\",\"customer_name\":\"string\",\"contact_number\":\"string\",\"email\":\"string\",\"address\":\"string\",\"government_id_type\":\"string\",\"government_id_number\":\"string\",\"active\":\"boolean\",\"updated_at\":\"string\"}]"
}
CMD curl¶
curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-get-many?pk=8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001"
PowerShell curl¶
curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-get-many?pk=8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001"